XPopup: XPopupMenu Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XPopupMenu Class Reference

blah More...

`#include <xpopupmenu.h>`

Collaboration diagram for XPopupMenu:

[legend]
List of all members.

## Public Types

enum | MenuStyle
| Menu Styles. More...

## Public Member Functions

void | cleanMenu (HMENU hMenu)
| blah
void | clearAllMenuItems ()
| blah
void | convertMenu (HMENU hMenu, BOOL bForce)
| blah
void | deleteAllItemData (HMENU hMenu)
| blah
void | deleteMenuItemData (XPopupMenuItem *p_Item)
| blah
void | destroyImageList ()
| blah
HBITMAP | getBackBitmap ()
| blah
COLORREF | getColor (int nColor)
| blah
LPXPMENUCOLORS | getColors ()
| blah
HIMAGELIST | getImageList ()
| blah
UINT | getItemStyle ()
| blah
TString | getName ()
| blah
MenuStyle | getStyle ()
| blah
HMENU | parsePath (TString &path, HMENU hParent, int depth=1)
| blah
void | parseXPopCommand (TString &input)
| blah
void | parseXPopIdentifier (TString &input, char *szReturnValue)
| blah
void | setBackBitmap (HBITMAP hBitmap)
| blah
void | setColor (int nColor, COLORREF clrColor)
| blah
void | setItemStyle (UINT iExStyles)
| blah
void | setStyle (MenuStyle style)
| blah
| XPopupMenu (TString &tsMenuName, MenuStyle mStyle)
| Constructor.
| XPopupMenu (HMENU hMenu)
| Constructor.
virtual | ~XPopupMenu ()
| Destructor.

## Static Public Member Functions

static LRESULT | OnDrawItem (HWND mHwnd, LPDRAWITEMSTRUCT lpdis)
| blah
static LRESULT | OnMeasureItem (HWND mHwnd, LPMEASUREITEMSTRUCT lpmis)
| blah
static LRESULT CALLBACK | XPopupMenuProc (HWND mHwnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
| blah
static LRESULT CALLBACK | XPopupWinProc (HWND mHwnd, UINT uMsg, WPARAM wParam, LPARAM lParam)
| blah

## Protected Member Functions

void | parseSwitchFlags (TString *switchs, XSwitchFlags *flags)
| blah

## Protected Attributes

HBITMAP | m_hBitmap
| Menu Item Background Image in Custom Style.
HIMAGELIST | m_hImageList
| Menu ImageList.
HMENU | m_hMenu
| Menu Handle.
XPMENUCOLORS | m_MenuColors
| Menu Colors.
UINT | m_MenuItemStyles
| Menu Item Styles.
MenuStyle | m_MenuStyle
| Menu Style.
TString | m_tsMenuName
| Menu Name.
VectorOfXPopupMenuItem | m_vpMenuItem
| Vector of XPopupMenuItem Objects.

## Detailed Description

blah

blah

## Member Enumeration Documentation

enum XPopupMenu::MenuStyle

| Menu Styles. Availbale XPopupMenu Styles

## Constructor & Destructor Documentation

XPopupMenu::XPopupMenu | ( | HMENU | hMenu | ) |

| Constructor. Default constructor for testing

XPopupMenu::XPopupMenu | ( | TString & | tsMenuName,
|  | MenuStyle | mStyle
| ) |

| Constructor. blah

XPopupMenu::~XPopupMenu | ( |  | ) | `[virtual]`

| Destructor. blah

## Member Function Documentation

void XPopupMenu::cleanMenu | ( | HMENU | hMenu | ) |

| blah blah

void XPopupMenu::clearAllMenuItems | ( |  | ) |

| blah blah

void XPopupMenu::convertMenu | ( | HMENU | hMenu,
|  | BOOL | bForce
| ) |

| blah blah

void XPopupMenu::deleteAllItemData | ( | HMENU | hMenu | ) |

| blah blah

void XPopupMenu::deleteMenuItemData | ( | XPopupMenuItem * | p_Item | ) |

| blah blah

void XPopupMenu::destroyImageList | ( |  | ) |

| blah blah

HBITMAP XPopupMenu::getBackBitmap | ( |  | ) |

| blah blah

COLORREF XPopupMenu::getColor | ( | int | nColor | ) |

| blah blah

LPXPMENUCOLORS XPopupMenu::getColors | ( |  | ) |

| blah blah

HIMAGELIST XPopupMenu::getImageList | ( |  | ) |

| blah blah

UINT XPopupMenu::getItemStyle | ( |  | ) |

| blah blah

TString XPopupMenu::getName | ( |  | ) |

| blah blah

XPopupMenu::MenuStyle XPopupMenu::getStyle | ( |  | ) |

| blah blah

LRESULT XPopupMenu::OnDrawItem | ( | HWND | mHwnd,
|  | LPDRAWITEMSTRUCT | lpdis
| ) | `[static]`

| blah blah

LRESULT XPopupMenu::OnMeasureItem | ( | HWND | mHwnd,
|  | LPMEASUREITEMSTRUCT | lpmis
| ) | `[static]`

| blah blah

HMENU XPopupMenu::parsePath | ( | TString & | path,
|  | HMENU | hParent,
|  | int | depth = `1`
| ) |

| blah blah

void XPopupMenu::parseSwitchFlags | ( | TString * | switchs,
|  | XSwitchFlags * | flags
| ) | `[protected]`

| blah blah

void XPopupMenu::parseXPopCommand | ( | TString & | input | ) |

| blah blah

void XPopupMenu::parseXPopIdentifier | ( | TString & | input,
|  | char * | szReturnValue
| ) |

| blah blah

void XPopupMenu::setBackBitmap | ( | HBITMAP | hBitmap | ) |

| blah blah

void XPopupMenu::setColor | ( | int | nColor,
|  | COLORREF | clrColor
| ) |

| blah blah

void XPopupMenu::setItemStyle | ( | UINT | iExStyles | ) |

| blah blah

void XPopupMenu::setStyle | ( | MenuStyle | style | ) |

| blah blah

LRESULT CALLBACK XPopupMenu::XPopupMenuProc | ( | HWND | mHwnd,
|  | UINT | uMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[static]`

| blah blah

LRESULT CALLBACK XPopupMenu::XPopupWinProc | ( | HWND | mHwnd,
|  | UINT | uMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[static]`

| blah blah

The documentation for this class was generated from the following files:

- xpopupmenu.h
- xpopupmenu.cpp